update HVAC
curl --request POST \
--url https://api.example.com/v1/devices/hvac/{id}/linked \
--header 'Content-Type: application/json' \
--header 'x-ws-api-key: <api-key>' \
--data '{
"linked": true
}'import requests
url = "https://api.example.com/v1/devices/hvac/{id}/linked"
payload = { "linked": True }
headers = {
"x-ws-api-key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'x-ws-api-key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({linked: true})
};
fetch('https://api.example.com/v1/devices/hvac/{id}/linked', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"deviceId": "ws_device_123456789",
"systemDetails": {
"name": "Living room thermostat",
"tempUnits": "F",
"defaultMode": "AUTO"
},
"targetCoolSetpoint": 74,
"targetHeatSetpoint": 68,
"maxTemp": 78,
"minTemp": 60,
"currentTemp": 71,
"coolingRate": 1,
"heatingRate": 1,
"heatTransferCoefficient": 1,
"irradianceCoefficient": 0.5,
"thermodynamicValuesUpdatedAt": "2025-01-02T12:00:00.000Z",
"lastSetPointSchedule": null,
"lastOptimizationRunData": null,
"deleted": false
}hvac
update HVAC
POST
/
v1
/
devices
/
hvac
/
{id}
/
linked
update HVAC
Authorizations
WattShift API key
Headers
WattShift API Key
Path Parameters
Body
application/json
This is to check if the device is linked to user
Response
200 - application/json
⌘I
